Subject: Re: [Patch 3/5] Network Drop Monitor: Adding kfree_skb_clean for non-drops and modifying end-of-line points for skbs

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 4 Mar 2009 19:51:56 -0300

Em Wed, Mar 04, 2009 at 02:47:22PM -0800, David Miller escreveu:
> From: Arnaldo Carvalho de Melo <[email-masked]>
> Date: Wed, 4 Mar 2009 19:45:05 -0300
> 
> > hasta_la_vista_skbaby()
> 
> This is my personal favorite, it's very Mexifornia.

ROTFL, I have to get that book someday... For now I'm reading a brick
about post-'45 Europe :-)
 
> > consumed_skb()
> 
> But more seriously I like something like "consume_skb()" the best (ie.
> drop the 'd').  It has the implication that an application or other
> entity "consumed" and used the data before we freed the SKB.
> 
> What do you think?

That would be better than kfree_skb_clean, yes.

- Arnaldo

P.S.: Neil, I didn't managed to get to the other aspects of your work,
sorry about being so picky :-\